Package ru.bitel.oss.systems.inventory.product.common.bean

# Class ProductSpec.Builder

java.lang.Object
ru.bitel.oss.systems.inventory.product.common.bean.ProductSpec.Builder

Enclosing class:
  `ProductSpec`

public static class ProductSpec.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProductSpec`
  `build()`
  `ProductSpec.Builder`
  `setActivationByCustomer(boolean activationByCustomer)`
  `ProductSpec.Builder`
  `setActivationModeList(List<ProductSpecActivationMode> activationModeList)`
  `ProductSpec.Builder`
  `setChildren(List<ProductSpec> children)`
  `ProductSpec.Builder`
  `setComment(String comment)`
  `ProductSpec.Builder`
  `setContractLabels(Set<Integer> contractLabels)`
  `ProductSpec.Builder`
  `setData(String data)`
  `ProductSpec.Builder`
  `setDateFrom(Date dateFrom)`
  `ProductSpec.Builder`
  `setDateTo(Date dateTo)`
  `ProductSpec.Builder`
  `setDeactivationByCustomer(boolean deactivationByCustomer)`
  `ProductSpec.Builder`
  `setDepends(Set<Integer> depends)`
  `ProductSpec.Builder`
  `setDescription(String description)`
  `ProductSpec.Builder`
  `setEntityAttributes(Map<Integer,EntityAttr> entityAttributes)`
  `ProductSpec.Builder`
  `setEntityId(int entityId)`
  `ProductSpec.Builder`
  `setEntitySpecId(int entitySpecId)`
  `ProductSpec.Builder`
  `setHideForContractGroupsMode(int hideForContractGroupsMode)`
  `ProductSpec.Builder`
  `setHideForContractLabels(Set<Integer> hideForContractLabels)`
  `ProductSpec.Builder`
  `setHideForCustomer(boolean hideForCustomer)`
  `ProductSpec.Builder`
  `setId(int id)`
  `ProductSpec.Builder`
  `setIdentifier(String identifier)`
  `ProductSpec.Builder`
  `setIncompatible(Set<Integer> incompatible)`
  `ProductSpec.Builder`
  `setModuleId(int moduleId)`
  `ProductSpec.Builder`
  `setNotRealtime(boolean notRealtime)`
  `ProductSpec.Builder`
  `setParentId(int parentId)`
  `ProductSpec.Builder`
  `setPeriodic(boolean periodic)`
  `ProductSpec.Builder`
  `setPriority(int priority)`
  `ProductSpec.Builder`
  `setSort(int sort)`
  `ProductSpec.Builder`
  `setTariffIds(Set<Integer> tariffIds)`
  `ProductSpec.Builder`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public ProductSpec.Builder setId(int id)

  - ### setEntityId

    public ProductSpec.Builder setEntityId(int entityId)

  - ### setEntitySpecId

    public ProductSpec.Builder setEntitySpecId(int entitySpecId)

  - ### setEntityAttributes

    public ProductSpec.Builder setEntityAttributes(Map<Integer,EntityAttr> entityAttributes)

  - ### setModuleId

    public ProductSpec.Builder setModuleId(int moduleId)

  - ### setIdentifier

    public ProductSpec.Builder setIdentifier(String identifier)

  - ### setTariffIds

    public ProductSpec.Builder setTariffIds(Set<Integer> tariffIds)

  - ### setContractLabels

    public ProductSpec.Builder setContractLabels(Set<Integer> contractLabels)

  - ### setDepends

    public ProductSpec.Builder setDepends(Set<Integer> depends)

  - ### setIncompatible

    public ProductSpec.Builder setIncompatible(Set<Integer> incompatible)

  - ### setActivationModeList

    public ProductSpec.Builder setActivationModeList(List<ProductSpecActivationMode> activationModeList)

  - ### setDateFrom

    public ProductSpec.Builder setDateFrom(Date dateFrom)

  - ### setDateTo

    public ProductSpec.Builder setDateTo(Date dateTo)

  - ### setHideForCustomer

    public ProductSpec.Builder setHideForCustomer(boolean hideForCustomer)

  - ### setHideForContractLabels

    public ProductSpec.Builder setHideForContractLabels(Set<Integer> hideForContractLabels)

  - ### setHideForContractGroupsMode

    public ProductSpec.Builder setHideForContractGroupsMode(int hideForContractGroupsMode)

  - ### setActivationByCustomer

    public ProductSpec.Builder setActivationByCustomer(boolean activationByCustomer)

  - ### setDeactivationByCustomer

    public ProductSpec.Builder setDeactivationByCustomer(boolean deactivationByCustomer)

  - ### setTitle

    public ProductSpec.Builder setTitle(String title)

  - ### setComment

    public ProductSpec.Builder setComment(String comment)

  - ### setDescription

    public ProductSpec.Builder setDescription(String description)

  - ### setChildren

    public ProductSpec.Builder setChildren(List<ProductSpec> children)

  - ### setParentId

    public ProductSpec.Builder setParentId(int parentId)

  - ### setPeriodic

    public ProductSpec.Builder setPeriodic(boolean periodic)

  - ### setNotRealtime

    public ProductSpec.Builder setNotRealtime(boolean notRealtime)

  - ### setPriority

    public ProductSpec.Builder setPriority(int priority)

  - ### setData

    public ProductSpec.Builder setData(String data)

  - ### setSort

    public ProductSpec.Builder setSort(int sort)

  - ### build

    public ProductSpec build()